use std::io;

fn main() {
    let a = [1, 2, 3, 4, 5];

    println!("Wprowadź indeks tablicy.");

    let mut index = String::new();

    io::stdin()
        .read_line(&mut index)
        .expect("Nie udało się odczytać linii");

    let index: usize = index
        .trim()
        .parse()
        .expect("Wprowadzony indeks nie był liczbą");

    let element = a[index];

    println!("Wartość elementu z indeksu {index} wynosi: {element}");
}
